Name:           imlib2
Summary:        Powerful image loading and rendering library
Summary(de):    Mächtige Bibliothek zum laden und rendern von Bildern
Version:        1.4.0
Release:        2.19
License:        BSD
Group:          System/Libraries
URL:            http://enlightenment.org/pages/imlib2.html

Source0:        imlib2-1.4.0.tar.bz2

Patch0:         imlib2-1.4.0-fixes.patch
BuildRoot:      %{_tmppath}/%{name}-root

BuildRequires:  libpng
BuildRequires:  freetype2 freetype2-devel

%if %suse_version >= 920
BuildRequires:  xorg-x11-devel
BuildRequires:  xorg-x11-libs
BuildRequires:  giflib
BuildRequires:  giflib-devel
%else
BuildRequires:  XFree86-devel
%endif
BuildRequires:  gcc
BuildRequires:  libpng
BuildRequires:  libpng-devel
BuildRequires:  libjpeg
BuildRequires:  libjpeg-devel
BuildRequires:  libtiff
BuildRequires:  libtiff-devel
BuildRequires:  libid3tag
BuildRequires:  libid3tag-devel
BuildRequires:  libstdc++
BuildRequires:  libstdc++-devel

%description
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.

%description -l de
Imlib2 ist eine verbesserter Ersatz für Bibliothekwn wie libXpm, welcher
deutlich schneller arbeitet und viel mehr Funktion mit viel weitreichnderer
Flexibilität und Geschwindigkeit als die Standard-Bibliotheken. Unterstützt
werden Fontrasterung, -rotation, RGBA rendern und darstellen, dynamisches
binäres filtern, scripting und vieles mehr.

%package devel
Summary:        Imlib2 headers, static libraries and documentation
Summary(de):    Imlib2 Headers, statische Bibliotheken und Dokumentation
Group:          System Environment/Libraries
Requires:       %{name} = %{version}

%description devel
Headers, static libraries and documentation for Imlib2.

%description devel -l de
Header, statische Bibliotheken und Dokumentation zur Imlib2.

%package filters
Summary:        Imlib2 - plugin filters
Summary(de):    Imlib2 - Plugin Filter
Group:          Development/Libraries/X11
Requires:       %{name} = %{version}

%description filters
This package has the basic set of plugin filters that come with Imlib2.

%description filters -l de
Dieses Paket enthält das Baisset der Filterplugins von Imlib2

%package loaders
Summary:        Imlib2 - image loaders
Summary(de):    Imlib2 - Bild Lademodule
Group:          Development/Libraries/X11
Requires:       %{name} = %{version}

%description loaders
This package contains image loaders for: argb, bmp, gif, jpeg, png,
pnm, tga, tiff, xpm

%description loaders -l de
Dieses Paket enthält Bildlademodule für: argb, bmp, gif, jpeg, png,
pnm, tga, tiff, xpm

%prep

%setup -q
%patch0 -p1

%build
%ifarch x86_64 amd64 ia32e
export LDFLAGS="-L/usr/X11R6/lib64"
%endif
autoreconf --force --install
%configure --prefix=%{_prefix} \
%ifarch %ix86
	--enable-mmx \
%else
	--disable-mmx \
%endif
	--bindir=%{_bindir} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir} \
	--with-ttf=%{_prefix} \
	--enable-shared \
	--disable-static
%{__make}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{makeinstall}
cd %{buildroot}%{_bindir}
mv *imlib2_bumpmap imlib2_bumpmapx
mv imlib2_bumpmapx imlib2_bumpmap
mv *imlib2_colorspace imlib2_colorspacex
mv imlib2_colorspacex imlib2_colorspace
mv *imlib2-config imlib2-configx
mv imlib2-configx imlib2-config
mv *imlib2_conv imlib2_convx
mv imlib2_convx imlib2_conv
mv *imlib2_poly imlib2_polyx
mv imlib2_polyx imlib2_poly
mv *imlib2_show imlib2_showx
mv imlib2_showx imlib2_show
mv *imlib2_test imlib2_testx
mv imlib2_testx imlib2_test
mv *imlib2_view imlib2_viewx
mv imlib2_viewx imlib2_view
cd -

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root,0755)
%doc AUTHORS README COPYING ChangeLog doc/index.html
%doc doc/imlib2.gif doc/blank.gif
%{_libdir}/lib*.so.*
%{_bindir}/*
%dir %{_datadir}/imlib2/data/fonts
%dir %{_datadir}/imlib2/data/images
%{_datadir}/imlib2/data/fonts/*.ttf
%{_datadir}/imlib2/data/images/*.png

%files devel
%defattr(-,root,root,0755)
%{_libdir}/libImlib2.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*

%files filters
%defattr(-,root,root,0755)
%dir %{_libdir}/imlib2/filters
%{_libdir}/imlib2/filters/*

%files loaders
%defattr(-,root,root,0755)
%dir %{_libdir}/imlib2/loaders
%{_libdir}/imlib2/loaders/*

%changelog -n imlib2
* Sun Sep 30 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build

